
Redmine - Defect #6157

Applying custom queries should not redirect away from calendar or gantt pages

2010-08-17 16:09 - Adam Soltys

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

If you have custom queries in place, they will be visible on the calendar and gantt pages as well as the issues page.  Clicking on

them always redirects you to the issues page though.  You can go back to the calendar or gantt pages afterwards and the query will

be applied, but it'd be nice if you weren't redirected away in the first place.

I'll start working on a patch for this issue.

Related issues:

Related to Redmine - Patch #6688: Improvements for query-views of Calendar an... Closed 2010-10-18

History

#1 - 2010-08-17 17:25 - Adam Soltys

- File retain_action_when_applying_custom_query.diff added

I think this patch does it.  Please review.  Also available at http://github.com/asoltys/redmine/tree/retain_action_when_applying_custom_query

#2 - 2010-10-15 04:05 - Mischa The Evil

Adam Soltys wrote:

I think this patch does it.  Please review.  [...]

 This patch seems to work fine for me...

Note: the change in the CalendarsController has become obsolete after r4245.

#3 - 2013-01-15 11:48 - Daniel Felix

- Status changed from New to Needs feedback

I'm currently not able to reproduce this. Anyone else can confirm this is fixed?

#4 - 2013-08-02 03:56 - Mischa The Evil

- Status changed from Needs feedback to Closed

- Resolution set to Fixed

Daniel Felix wrote:

I'm currently not able to reproduce this. Anyone else can confirm this is fixed?

 Yes, I can. To be precise, it was fixed in r4909 for #7605 (instead of for this issue, which was actually posted earlier ;).

Files

retain_action_when_applying_custom_query.diff 1.08 KB 2010-08-17 Adam Soltys
